'\" t
.\"     Title: ABORT
.\"    Author: The PostgreSQL Global Development Group
.\" Generator: DocBook XSL Stylesheets v1.79.1 <http://docbook.sf.net/>
.\"      Date: 2020
.\"    Manual: PostgreSQL 13.1 Documentation
.\"    Source: PostgreSQL 13.1
.\"  Language: English
.\"
.TH "ABORT" "7" "2020" "PostgreSQL 13.1" "PostgreSQL 13.1 Documentation"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NAME"
ABORT \- abort the current transaction
.SH "SYNOPSIS"
.sp
.nf
ABORT [ WORK | TRANSACTION ] [ AND [ NO ] CHAIN ]
.fi
.SH "DESCRIPTION"
.PP
\fBABORT\fR
rolls back the current transaction and causes all the updates made by the transaction to be discarded\&. This command is identical in behavior to the standard
SQL
command
\fBROLLBACK\fR(7), and is present only for historical reasons\&.
.SH "PARAMETERS"
.PP
WORK
.br
TRANSACTION
.RS 4
Optional key words\&. They have no effect\&.
.RE
.PP
AND CHAIN
.RS 4
If
AND CHAIN
is specified, a new transaction is immediately started with the same transaction characteristics (see
SET TRANSACTION (\fBSET_TRANSACTION\fR(7))) as the just finished one\&. Otherwise, no new transaction is started\&.
.RE
.SH "NOTES"
.PP
Use
\fBCOMMIT\fR(7)
to successfully terminate a transaction\&.
.PP
Issuing
\fBABORT\fR
outside of a transaction block emits a warning and otherwise has no effect\&.
.SH "EXAMPLES"
.PP
To abort all changes:
.sp
.if n \{\
.RS 4
.\}
.nf
ABORT;
.fi
.if n \{\
.RE
.\}
.SH "COMPATIBILITY"
.PP
This command is a
PostgreSQL
extension present for historical reasons\&.
\fBROLLBACK\fR
is the equivalent standard SQL command\&.
.SH "SEE ALSO"
\fBBEGIN\fR(7), \fBCOMMIT\fR(7), \fBROLLBACK\fR(7)
